/*
 Theme Name:        Uptown Studios Child
 Text Domain:       uptown-studios-child
 Author:            April Auger
 Author URI:        https://aprilauger.com
 Description:       Uptown Studios Child Theme
 Template:          uptown-studios
 Version:           1.0.0
 Requires at least: 5.9
 Tested up to:      6.0
 Requires PHP:      5.6
 License:           GNU General Public License v2 or later
 License URI:       http://www.gnu.org/licenses/gpl-2.0.html
*/

/*--------------------------------------------------------------
# Editor color palette
--------------------------------------------------------------*/

/* Primary color */
.has-primary-color {
	color: #5226A8 !important;
}

.has-primary-background-color {
	background-color: #5226A8 !important;
}

.has-primary-background-color:hover {
	background-color: #5226A8 !important;
}

.has-primary-border {
	border: 1px solid #5226A8 !important;
}

/* Secondary color */
.has-secondary-color {
	color: #8063BF !important;
}

.has-secondary-background-color {
	background-color: #8063BF !important;
}

.has-secondary-background-color:hover {
	background-color: #8063BF !important;
}

.has-secondary-border-color {
	border: 1px solid #8063BF !important;
}

/* Light primary color */
.has-light-primary-color {
	color: #F4F0FD !important;
}

.has-light-primary-background-color {
	background-color: #F4F0FD !important;
}

.has-light-primary-background-color:hover {
	background-color: #F4F0FD !important;
}

.has-light-primary-border {
	border: 1px solid #F4F0FD !important;
}

/* Yellow color */
.has-yellow-color {
	color: #F7C900 !important;
}

.has-yellow-background-color {
	background-color: #F7C900 !important;
}

.has-yellow-background-color:hover {
	background-color: #F7C900 !important;
}

.has-yellow-border-color {
	border: 1px solid #F7C900 !important;
}

/* Light gray color */
.has-light-gray-color {
	color: #f9f9f9 !important;
}

.has-light-gray-background-color {
	background-color: #f9f9f9 !important;
}

.has-light-gray-background-color:hover {
	background-color: #f9f9f9 !important;
}

.has-light-gray-border {
	border: 1px solid #f9f9f9 !important;
}

/* Black color */
.has-black-color {
	color: #212121 !important;
}

.has-black-background-color {
	background-color: #212121 !important;
}

.has-black-background-color:hover {
	background-color: #212121 !important;
}

.has-black-border {
	border: 1px solid #212121 !important;
}

/* Primary gradient */
.has-primary-gradient-background {
	background: linear-gradient(135deg, #5226A8 0%, #431b91 100%) !important;
}

/* Typography */
h1,
h2,
h3,
h4,
h5 {
	font-weight: 600;
}

h1,
.h1,
.has-xlarge-font-size {
	font-size: 3.125rem;
	font-size: clamp(3.125rem, 2.9375rem + 0.9375vw, 4.0625rem);
	/* Min: 50px Max: 65px */
}

h2,
.h2,
.has-large-font-size {
	font-size: 2.5rem;
	font-size: clamp(2.5rem, 2.375rem + 0.625vw, 3.125rem);
	/* Min: 40px Max: 50px */
}

h3,
.h3,
.subtitle,
.has-medium-font-size {
	color: #212121;
	font-size: 1.5rem;
	font-size: clamp(1.5rem, 1.425rem + 0.375vw, 1.875rem);
	/* Min: 24px Max: 30px */
}

h3 a:link,
h3 a:visited {
	color: #212121 !important;
}

h3 a:hover,
h3 a:active {
	color: #5226A8 !important;
}

h4,
.h4 {
	font-size: 1.1875rem;
	font-size: clamp(1.1875rem, 1.125rem + 0.3125vw, 1.5rem);
	/* Min: 19px Max: 24px */
}

body {
	font-size: 1rem;
	font-size: clamp(1rem, 0.975rem + 0.125vw, 1.125rem);
	/* Min: 16px Max: 18px */
}

/* Gutenberg Blocks */
:where(.wp-block-columns.is-layout-flex) {
	row-gap: 0;
	column-gap: 1rem;
}

.wp-block-columns {
	margin-bottom: 0;
}

/* Jumbotron */
.jumbotron-container h1 {
	text-shadow: 3px 2px 3px #00000027;
}

.jumbotron::after {
	background: transparent linear-gradient(123deg, #5226A8 0%, #2A105C00 100%) 0% 0% no-repeat padding-box;
}

@media (min-width: 992px) {
	.jumbotron-container .section-description {
		max-width: 550px;
	}
}

.jumbotron,
.jumbotron::after {
	min-height: 750px;
}

/* Waves */
.waves {
	position: relative;
}

.hero-waves {
	bottom: 0;
	left: 0;
	position: absolute;
	width: 100%
}

.section-waves {
	position: relative;
	padding-bottom: 90px;
	padding-top: 90px;
}

@media (max-width: 1200px) {
	.section-waves {
		position: relative;
		padding-bottom: 30px;
		padding-top: 30px;
	}
}

img.top-wave {
	width: 100%;
}

.bottom-wave img,
.top-wave img {
	position: absolute;
	width: 100%;
	z-index: 2;
}

.bottom-wave img {
	bottom: 0;
}

.top-wave img {
	top: 0;
}

@media (min-width: 768px) {
	.center-block * {
		max-width: 500px;
		text-align: center;
		margin: auto;
	}
}

.img-over-bkg img {
	max-height: 425px;
}

@media (max-width: 1198px) {
	.img-over-bkg {
		display: none
	}

	#adoption-process {
		margin-left: 15px;
		margin-right: 15px;
	}

	#adoption-process .d-flex {
		display: block !important;
	}

	#adoption-process .has-light-primary-background-color {
		border-radius: 1rem
	}
}

/* Buttons */
.btn,
#main .wp-block-button__link,
#main .wp-block-button__link:visited,
.gform_wrapper.gravity-theme .gform_footer input {
	border-radius: 0px 30px;
	color: #FFFFFF;
	font-family: "Baloo Thambi 2", sans-serif;
	font-weight: 600;
	font-size: 1rem;
	font-size: clamp(1rem, 0.975rem + 0.125vw, 1.125rem);
	padding: 0.5rem 1.75rem;
}

#main .wp-block-button__link:hover,
#main .wp-block-button__link:active {
	background: #f7c900;
	color: #5226A8 !important;
}

.yellow-btn .wp-block-button__link,
.yellow-btn .wp-block-button__link:visited {
	background: #f7c900 !important;
	color: #5226A8 !important;
}

.yellow-btn .wp-block-button__link:hover,
.yellow-btn .wp-block-button__link:active {
	background: #FFFFFF !important;
	color: #5226A8 !important;
}

.wp-block-button__link {
	height: auto;
    width: auto;
}

.gform_wrapper.gravity-theme .gform_footer input {
	background: #5226A8;
	border: none;
}

.btn-primary:hover,
.btn-primary:active,
.gform_wrapper.gravity-theme .gform_footer input:hover {
	background: #f7c900;
	color: #5226A8 !important;
}

.btn-primary:link,
.btn-primary:visited {
	color: #ffffff !important;
}

.widget .wp-block-search button:hover,
.widget .wp-block-search button:active {
	background: #212121;
}

/* Title block */
#title-block.bkg-img .tb-wrapper::before {
	background: transparent linear-gradient(113deg, #5226A8 0%, #2A105C00 100%) 0% 0% no-repeat padding-box;
}

/* Images */
.shadow-left {
	margin-top: 17px;
	max-width: 100%;
	padding-bottom: 1.75rem;
	padding-left: 1.75rem;
	padding-top: 1.75rem;
}

.shadow-left img {
	border-radius: 50%;
	box-shadow: -17px -17px 0px 5px rgba(244, 240, 253, 0.75);
	-webkit-box-shadow: -17px -17px 0px 5px rgba(244, 240, 253, 0.75);
	-moz-box-shadow: -17px -17px 0px 5px rgba(244, 240, 253, 0.75);
	position: relative;
	z-index: 0;
}

.med-purple img {
	box-shadow: -17px -17px 0px 5px #E0D7EF;
	-webkit-box-shadow: -17px -17px 0px 5px #E0D7EF;
	-moz-box-shadow: -17px -17px 0px 5px #E0D7EF;
}

@media (min-width: 1200px) {
	.shadow-left {
		margin-top: 27px;
		padding-left: 45px;
		padding-top: 37px;
	}

	.shadow-left img {
		box-shadow: -27px -22px 0px 12px rrgba(244, 240, 253, 1);
		-webkit-box-shadow: -27px -22px 0px 12px rgba(244, 240, 253, 1);
		-moz-box-shadow: -27px -22px 0px 12px rgba(244, 240, 253, 1);
	}

	.med-purple img {
		box-shadow: -27px -22px 0px 12px #E0D7EF;
		-webkit-box-shadow: -27px -22px 0px 12px #E0D7EF;
		-moz-box-shadow: -27px -22px 0px 12px #E0D7EF;
	}
}

/* Paws */
h2.paw {
	margin-bottom: 1.5rem;
	margin-left: 2.5rem;
	padding-left: .5rem;
	position: relative;
}

@media (min-width: 992px) {
	h2.paw {
		margin-bottom: 2rem;
	}
}

h2.paw::before {
	content: url(https://friendsoffrontstreet.com/wp-content/uploads/paw.svg);
	left: -2.5rem;
	position: absolute;
	top: .25rem;
}

.paws-block {
	position: relative;
}

.paws-block .paws-left {
	position: absolute;
	bottom: -1.5rem;
	left: 0;
	z-index: -1;
}

.paws-block .paws-right {
	bottom: -1.5rem;
	right: 0;
	position: absolute;
	z-index: -1;
}

/* Homepage programs */
#program {
	margin-bottom: 1.5rem;
}

.programs .program {
	border-radius: 1rem;
}

.programs .program h3 {
	padding-bottom: 1rem;
}

.programs .program img {
	border-top-left-radius: 1rem;
	border-top-right-radius: 1rem;
	margin-bottom: 1rem;
	width: 100%;
}

@media (max-width: 768px) {
	.programs h3 {
		margin-bottom: 1.5rem;
	}
}

/* Layout */
@media (min-width: 768px) {
	.equal-height {
		display: flex;
	}

	.equal-height .col {
		height: 100%;
	}
}

@media (min-width: 992px) {
	.padding-left {
		padding-left: 3rem;
	}

	.padding-right {
		padding-right: 3rem;
	}
}

.max-width-700 {
	margin: auto;
	max-width: 700px;
}

/* Navigation */
#site-navigation a {
	font-family: "Baloo Thambi 2", sans-serif;
	font-weight: 600;
}

@media (min-width: 1200px) {
	.bm-horizontal #site-navigation .search-form .search-wrapper {
		position: absolute;
		top: -25px;
		right: 0;
		width: 0;
	}
}

@media (min-width: 1200px) and (max-width: 1400px) {
	.bm-horizontal #site-navigation .nav-link {
		padding: 0.25rem 0.65rem !important;
	}
}

/* Adoption */
@media (min-width: 1200px) {
	#adoption-process .has-light-primary-background-color {
		border-top-right-radius: 1rem;
		border-bottom-right-radius: 1rem;
		padding-right: 10% !important;
		width: 60%;
	}

	#adoption-process .img-over-bkg img {
		margin-left: -20%;
	}

	.img-over-bkg img {
		border-radius: 1rem
	}
}

/* Lists */
.num-list {
	list-style: none;
}

.num-list li {
	counter-increment: custom;
	margin-bottom: 1.5rem;
	padding-left: 2.5rem;
	position: relative;
	z-index: 2;
}

.num-list li::before {
	background: #5226A8;
	border-radius: 50%;
	color: #FFFFFF;
	content: "";
	display: block;
	font-family: "Baloo Thambi 2", sans-serif;
	font-size: 1.785rem;
	font-weight: 600;
	height: 2.75rem;
	left: -1.8rem;
	position: absolute;
	text-align: center;
	width: 2.75rem;
	z-index: -1;
}

.num-list li {
	counter-increment: custom;
}

.num-list li:before {
	content: counter(custom) " ";
}

.num-list li:first-child {
	counter-reset: custom;
}

.list-two {
	margin-left: 1.25rem
}

/* Statistics */
#stats .wp-block-column {
	text-align: center;
}

#stats figure {
	margin-bottom: 0;
}

@media (min-width: 768px) {
	#stats .wp-block-column {
		padding-left: 10px;
		padding-right: 10px;
	}
}

.kb-count-up-number {
	font-family: "Baloo Thambi 2", sans-serif;
	font-weight: 600;
}

.kb-count-up-title {
	font-weight: 600 !important;
}

/* Testimonials */
.slick-slide img.testimonial-img {
	border-radius: 50%;
	box-shadow: -10px -2px 0px 2px #E0D7EF;
	-webkit-box-shadow: -10px -2px 0px 2px #E0D7EF;
	-moz-box-shadow: -10px -2px 0px 2px #E0D7EF;
	margin-bottom: 1rem;
	margin-left: .75rem;
	margin-top: 1rem;
	max-width: 100%;
	position: relative;
	z-index: 0;
}

.testimonial-info h3.card-title {
	margin-bottom: 0 !important;
}

.single-testimonial .wp-post-image {
	border-radius: 50%;
}

.slick-slide img.testimonial-img {
	max-height: 150px !important;
	max-width: 150px !important;
}

/* Staff */
.card.staff {
	text-align: center;
}

.card.staff .card-title {
	margin-bottom: 0;
}

.card.staff img.staff-img {
	border-radius: 50%;
	box-shadow: -15px -5px 0px 2px #E0D7EF;
	-webkit-box-shadow: -15px -5px 0px 2px #E0D7EF;
	-moz-box-shadow: -15px -5px 0px 2px #E0D7EF;
	margin-bottom: 1rem;
	margin-top: 15px;
	max-width: 250px;
	position: relative;
	z-index: 0;
}

/* About */
.financial-reports .kt-inside-inner-col {
	padding-top: 90px;
	padding-bottom: 90px;
}

.financial-reports a:link,
.financial-reports a:visited {
	color: #fff;
}

.financial-reports a:hover,
.financial-reports a:active {
	color: #C8BAE3;
}

.financial-padding {
	padding: 3rem;
	padding-top: 4rem;
}

@media (max-width: 768px) {
	.financial-reports .kt-inside-inner-col {
		padding-top: 0;
		padding-bottom: 0;
	}

	.financial-reports .bottom-wave,
	.financial-reports .top-wave {
		display: none;
	}
}

/* Donate */
.border-block {
	border: 3px solid #F5F5F5;
	border-radius: .75rem;
	padding: 1.5rem;
}

/* Excerpt */
.excerpt .post-thumbnail img {
	border-radius: .5rem;
}

/* Forms */
.gform_required_legend {
	display: none;
}

/* Blockquotes */
p.blockquote {
	background-color: #F4F0FD;
	padding: 1.5rem;
	border-radius: 0.5rem;
	color: #8063BF;
	margin-bottom: 2rem;
}

/* Footer */
#footer .col-one .dashicons::before {
	color: #f7c900;
}

.copyright {
	font-size: .9rem;
}

@media (max-width: 768px) {
	.col-one {
		margin-bottom: 1.5rem;
	}
}

/* Kadence Blocks */
@media (min-width: 576px) {
	.kb-theme-content-width {
		max-width: 540px !important;
	}
}

@media (min-width: 768px) {
	.kb-theme-content-width {
		max-width: 720px !important;
	}
}

@media (min-width: 992px) {
	.kb-theme-content-width {
		max-width: 960px !important;
	}
}

@media (min-width: 1200px) {
	.kb-theme-content-width {
		max-width: 1140px !important;
	}
}

@media (min-width: 1400px) {
	.kb-theme-content-width {
		max-width: 1320px !important;
	}
}

.kt-inside-inner-col > p:last-child,
section > p:last-child {
	margin-bottom: 0;
	padding-bottom: 0;
}

/* Misc. */
.center-block,
.center-block .wp-block-button {
	text-align: center;
	margin: auto;
}

.center-block h2 {
	margin-bottom: 1rem;
	margin-top: 1rem;
}

.center-block .wp-block-button {
	margin-top: 1rem;
}

.tool-container {
	box-shadow: 0px 0px 15px #ccc
}